<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd">

<html>
<!--#include virtual="/ApolloRNA/faq_count.cgi" -->

<head>
<link rel="stylesheet" type="text/css" href="apollorna.css">
<title>ApolloRNA FAQ</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<meta name="Description" content="ApolloRNA home">
<meta name="Keywords" content="ApolloRNA, Apollo, ncRNA, ARNnc, visualization, visualisation, identification">
</head>

<body class="body">
<table CELLSPACING=15>
	<tr valign="top" align="left"><td><img src="images/ApolloRNA_45.png" alt="ApolloRNA image"></td><td class="title">ApolloRNA FAQ</td></tr>
</table>

<div class="menu">
<a href="index.html">HOME</a> | 
<a href="download.html">DOWNLOAD</a> | 
<a href="userguide.html">USERGUIDE</a> | 
<a href="convert.html">CONVERT DATA</a> | 
<a href="faq.html" class="currentlink">FAQ</a><br>
</div>

<p class="contain">
Frequently asked questions related to Apollo and ApolloRNA
</p>

<div class="contain">
<ul>
  <li><a href="#General">General</a><br></li>
  <li><a href="#ConvertUtility">Convert utility</a><br></li>
</ul>
</div>

<div><a name="General"></a></div>
<hr><div class="title1">1. General</div>

<p class="contain">
The new <a href="http://apollo.berkeleybop.org/current/faq.html">Apollo FAQ</a> is also worth seeing.
</p>

<p class="title2">
1.1 How to memorize a different background color for the result parts of the display (the default one is black) loading GAME XML files ?</p>
<p class="contain">
<I>A/ For versions before 1.9.0</I><br>
In the menu 'Edit', choose 'Preferences (style)...'.<br>
Add the following line in 'your personal preferences file'. Beware that it must be a tabulation after 'FeatureBackgroundColor'.</p>
<blockquote><p class="note"> FeatureBackgroundColor  "white"</p></blockquote>
<p class="contain">
Click on the 'Save' button.<br>
Restart Apollo for the change to be effective.<br>
<br>
<I>B/ For version 1.9.0</I><br>
In the menu 'Edit', choose 'Preferences'.<br>
It is interactively possible to set a color.</p>

<p class="title2">
1.2 How to memorize not to display starts/stops ?</p>
<p class="contain">
Edit the file 'apollo.cfg' in the 'conf' directory of Apollo.<br>
Put the value of 'SiteShowLimit' to 0 (the default value is 15).<br>
Note that is then no longer possible to see starts/stops in Apollo.
</p>

<p class="title2">
1.3 Loading a GBK file protein genes are not visible with the following messages 'Warning: CDS ... uses alternative translation table (...). Can't yet deal with alternative translation tables--not loading this CDS.
</p>
<p class="contain">The used translation table is not supported par Apollo. All mentions of translation table could be removed from the GBK file. That is all lines with '/transl_table=...' could be removed. Beware that the translation provided when zooming in could be false. It is necessary to see the translation provided in the annotation info editor.</p>

<p class="title2">
1.4 Searching for RNA-RNA potential interaction with a GFF annotation, when regions around STARTS and STOPS are specified for searching regions, no targets are found. </p>
<p class="contain">In Apollo it exists two types of information: results and annotation and they are displayed in two different areas of the display. Reading GFF information load them in Apollo results. So no STOP and START are defined in Apollo annotations using a GFF format. To use STARTS and STOPS Apollo annotated to specify the regions where to search for RNA-RNA interaction, GBK or XML are appropriated. </p>

<p class="title2">
1.5 The genomic sequence is changed after layering more results or annotations in GAME XML.</p>
<p class="contain">To conserve the genomic sequence, it is necessary that the added information cover the begin and end of sequence. This is taken into account in the Convert utility provided. Two artefact elements are created, one on the first nucleotide, the other on the last one. This is the reason why the related sequence length is asked.</p>

<p class="title2">
1.6 How could I used my old .tiers file with Apollo 1.9.0?</p>
<p class="contain">Before this version, it was possible to create particular .tiers files and specify their use with the interface: menu Edit, item Preferences, add manually  the line 'Types   "my.tiers"' then save the file in the user .apollo directory. With Apollo 1.9.0, to use this files, it is possible to do as following:<br>
1/ menu Edit, item Preferences, tab Types, save in the default file .apollo/fly.tiers<br>
2/ quit Apollo<br>
2/ edit the created .apollo/fly.tiers file and paste the content of your own .tiers file at the end of the file.<br><br></p>



<div><a name="ConvertUtility"></a></div>
<hr><div class="title1">2. Convert utility (based on Apollo)</div>

<p class="title2">
2.1 Converting CRISPfinder result in GFF, I lost the first prediction.</p>
<p class="contain">It is necessary to select ALL the content of the window and paste it as input data. If just the sub part with the predictions is selected, the first prediction could be arased.</p>

<p class="title2">
2.2 An error (apollo.dataadapter.ApolloAdapterException: -1) occurs trying to convert the file NC_002758.gbk in GAME XML with the provided Convert utility.</p>
<p class="contain">Before calling the convert utility, edit the file and modify the lines of the form:</p>
<blockquote><p class="note"> /note="<br>
                similar to ..."</p></blockquote>
<p class="contain">in (problem in Apollo 1.6.5 with empty first line for the note attribut):</p>
<blockquote><p class="note">/note="similar to ..."</p></blockquote>

<p class="title2">
2.3 With Apollo 1.6.5, an error (Message error: -1) occurs trying to convert the file NC_000913.gbk in GAME XML with the provided Convert utility.</p>
<p class="contain">Before calling the convert utility, edit the file and modify the lines of the form:</p>
<blockquote><p class="note"> /function=" ... :<br>
                ..."</p></blockquote>
<p class="contain">in (problem with Apollo 1.6.5 with lines ending with ':' then remove the carriage return):</p>
<blockquote><p class="note">/function=" ...  : ..."</p></blockquote>
<p class="contain">The following Perl procedure <a href="ModifyGBKfunction">ModifyGBKfunction</a> could help doing both 2.3 and 2.4 indications.</p>

<p class="title2">
2.4 With Apollo 1.9.4, an error (Message: GAME XML input steam was empty -- nothing loaded) occurs trying to load the file NC_000913.xml provided by the Convert utility from .GBK to GAME XML format.</p>
<p class="contain">Before calling the convert utility, edit the file and replace all:</p>
<blockquote><p class="note"> &</p></blockquote>
<p class="contain">by:</p>
<blockquote><p class="note">and</p></blockquote>
<p class="contain">The following Perl procedure <a href="ModifyGBKfunction">ModifyGBKfunction</a> could help doing both 2.3 and 2.4 indications.</p>

<hr><p class="update">Last update: February 17, 2010</p>
</body>
</html>
